package com.muyu.cloud.pay.domain.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：yang
 * @Package：com.muyu.cloud.pay.domain.resp
 * @Project：cloud-pay
 * @name：CustomerOrderPaySimpleResp
 * @Date：2024/8/8 22:23
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "客户支付单",description = "客户支付单简略信息")
public class CustomerOrderPaySimpleResp {

    /**
     * 客户单号
     */
    @Schema(name = "客户单号",type = "String",defaultValue = "OIEJSO723DOE12DIL",description = "客户传入的支付单信息")
    private String cusOrderNumber;
//    /**
//     * 支付单号
//     */
//    private String payOrderNumber;
    /**
     * 支付金额
     */
    @Schema(name = "支付金额",type = "BigDecimal",defaultValue = "36.56",description = "客户传入的支付金额")
    private String price;
    /**
     * 聚到商类型
     */
    @Schema(name = "支付聚到商",type = "String",defaultValue = "支付宝",description = "用户支付的时候选择的聚到是哪个建")
    private String channelTypeName;
}
