package com.muyu.cloud.pay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.cloud.pay.domain.OrderPayInfo;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.cloud.pay.service
 * @Project：cloud-pay
 * @name：OderPayService
 * @Date：2024/8/9 9:32
 */
public interface OrderPayService extends IService<OrderPayInfo> {

    /**
     * 根据客户code和分页限制，查询结果
     * @param appCode 客户code
     * @param limit 分页限制
     * @return 支付结果记录
     */
    List<OrderPayInfo> selectOrderPayByAppCodeAndLimit(String appCode, int limit);
}
