package com.muyu.cloud.pay.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.pay.domain.OrderPayInfo;
import com.muyu.cloud.pay.mapper.OrderPayMapper;
import com.muyu.cloud.pay.service.OrderPayService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：yang
 * @Package：com.muyu.cloud.pay.service.impl
 * @Project：cloud-pay
 * @name：OrderPayServiceImpl
 * @Date：2024/8/9 9:33
 */
@Service
public class OrderPayServiceImpl extends ServiceImpl<OrderPayMapper, OrderPayInfo> implements OrderPayService
{
    @Override
    public List<OrderPayInfo> selectOrderPayByAppCodeAndLimit(String appCode, int limit) {

        LambdaQueryWrapper<OrderPayInfo> orderPayInfoQueryWrapper = new LambdaQueryWrapper<>();
        orderPayInfoQueryWrapper.eq(OrderPayInfo::getAppCode,appCode);
        orderPayInfoQueryWrapper.orderBy(true,false,OrderPayInfo::getCreateTime);
        orderPayInfoQueryWrapper.last("limit " + limit);
//
        return this.list(orderPayInfoQueryWrapper);
    }
}
